Mailinglist Archive: opensuse-bugs (4653 mails)

< Previous Next >
[Bug 568002] Segmentation fault in Yast2 when running from KDE3 session
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 1 Feb 2010 14:47:44 +0000
  • Message-id: <20100201144744.6740424551B@xxxxxxxxxxxxxxxxxxxxxx>
http://bugzilla.novell.com/show_bug.cgi?id=568002

http://bugzilla.novell.com/show_bug.cgi?id=568002#c6


--- Comment #6 from Katarina Machalkova <kmachalkova@xxxxxxxxxx> 2010-02-01
14:47:43 UTC ---
This is not KDE3 problem, this is Yast2 problem. Segmentation fault indicates
that there is serious error in the memory management code. It should not
happen
regardless what entry data the program receives.

It can indicate many things. For example, binary incompatibility (between Qt
libs installed on the system and those yast2-control-centre-qt was compiled
against, or other), which frankly wouldn't surprise me, as KDE maintainers
officially state that KDE3 repo is no longer actively maintained

Anyway I added KDE3 repo to my 11.2 system, and Qt4 YaST CC works just fine
there ( this would be Resolved Worksforme then ).

If you can still reproduce the crash, try it from gdb like this:

'gdb /usr/lib/YaST2/bin/y2controlcenter'

and give me the backtrace.

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >